## GstVaapiDecoderJpeg

GstVaapiDecoderJpeg — JPEG decoder

## Functions

GstVaapiDecoder * | gst_vaapi_decoder_jpeg_new ()

## Types and Values

| GstVaapiDecoderJpeg

## Object Hierarchy

## Description

## Functions

### gst_vaapi_decoder_jpeg_new ()

    GstVaapiDecoder *
    gst_vaapi_decoder_jpeg_new (GstVaapiDisplay *display,
                                GstCaps *caps);

Creates a new GstVaapiDecoder for JPEG decoding. The `caps` can hold extra information like codec-data and pictured coded size.

#### Parameters

display | a GstVaapiDisplay |
caps | a GstCaps holding codec information |

#### Returns

the newly allocated GstVaapiDecoder object

## Types and Values

### GstVaapiDecoderJpeg

    typedef struct _GstVaapiDecoderJpeg GstVaapiDecoderJpeg;

A decoder based on Jpeg.